//------------------------------------------------------------------------------------
// irr::scene::SMeshBufferLightMap wrappers (parent is IMeshBuffer)
//------------------------------------------------------------------------------------

extern "C" 
{

	SMeshBufferLightMap* IrrScene_SMeshBufferLightMap_new()
	{
		return new SMeshBufferLightMap();
	}
	
	void IrrScene_SMeshBufferLightMap_append(SMeshBufferLightMap* mb,S3DVertex2TCoords** vertices, u32 numVertices, const u16* const indices, u32 numIndices)
	{
		if (mb) {
			array<S3DVertex2TCoords> vertices_array;
			for (int i=0; i<numVertices; i++) {	
				vertices_array.push_back(*vertices[i]);
			}
		
			mb->append(vertices_array.const_pointer(), numVertices, indices, numIndices);
		}
	}		
}